Company logoTrust Center Documentation

List all contacts

Retrieve all contacts for your tenant, including their review status and account information. Browse request parameters, authentication requirements,…

GET
/api/v1/contacts

Retrieve all contacts for your tenant, including their review status and account information

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/v1/contacts"
{
  "contacts": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "john.doe@example.com",
      "first_name": "John",
      "last_name": "Doe",
      "title": "Security Manager",
      "review_status": "approved",
      "tenant": "tenant-123",
      "account": {
        "id": "acc-123",
        "title": "Acme Corp"
      },
      "vendor": {
        "id": "vendor-123",
        "title": "Acme Vendor"
      },
      "documents": [
        {
          "documents_id": "doc-123"
        }
      ],
      "access_requests": [
        {
          "id": "req-123"
        }
      ],
      "invitations": [
        {
          "id": "inv-123",
          "state": "pending",
          "date_created": "2026-02-24T10:00:00.000Z"
        }
      ],
      "nda_acceptances": [
        {
          "id": "nda-123",
          "contact": "550e8400-e29b-41d4-a716-446655440000",
          "state": "completed",
          "date_created": "2026-02-26T09:30:00.000Z",
          "download_type": "docusign",
          "has_download": true
        }
      ],
      "date_created": "2026-02-20T10:00:00.000Z",
      "date_updated": "2026-02-25T12:00:00.000Z",
      "custom_fields": [
        {
          "id": "cf-123",
          "template": "template-123",
          "value": "Primary security contact"
        }
      ]
    }
  ]
}
Empty
Empty

How is this guide?